Red[
    Author: "Ungaretti- box demo borrowed from Toomas Vooglaid"
    Date: 01/Nov/2018
    Purpose: "Demostrate many GUI faces"
    needs: view
]
t: 0

view [
    title "Some GUI faces"
    style separator: text "___________________________"
    below
    text font-size 14 bold font-color blue "GUI demo"
    
    ; image      ------------------------------
    image %balloon.jpg
    
    ; button     ------------------------------
    button "Print Hello!" [print "Hello!"]
    button "Quit" [quit]
    
    ; checkbox   ------------------------------
    separator
    chk: check "unchecked" [either chk/data 
            [chk/text: "checked"]
            [chk/text: "unchecked"]
        ]
        
    ;radio buttons  ---------------------------
    separator
    across
    r1: radio "on" [txt1/text: "on"]
    r2: radio "off" [txt1/text: "off"]
    return
    txt1: text "none"
    return
    below
    
    ;field       ------------------------------
    separator
    text "Enter text and look at console:"
    f: field [print f/text]
    
    ; area       ------------------------------
    a: area 80x80 [print a/text]
    return
    
    ; text-list  ------------------------------
    text "Select and look at console:"
    txt2: text-list 100x100 data[
        "Nenad" "Gregg" "Qtxie"	"Rebolek" 
        "Speedy G." "Myke" "Toomas" 
        "Alan" "Nick" "Peter" "Carl"
        ]
        [print txt2/selected]
        
    ; progress  ------------------------------
    separator
    text "Enter value(0-1 float):"
    field [p/data: to percent! face/data]
    p: progress
    
    ; slider    ------------------------------
    separator
    txt3: text "Percentage"
    slider 100x20 data 10% [txt3/text: to string! face/data]
    
    ; drop-down  -----------------------------
    separator
    txt4: text "Choose and press 'enter'"
    drop-down "Choose one" data [
        "First"
        "Second"
        "Third"
    ] [ txt4/text: pick face/data face/selected ] 
    return              
    
    ; panel      ------------------------------
    pnl: panel gray [size 100x120 below text gray "Panel" check button "Hide" [pnl/visible?: not pnl/visible?]]
    
    ; tab-panels  -----------------------------
    separator
    tab-panel 200x100 [
        "Tab 1 " [text "First panel"]
        "Tab 2 " [text "Second panel"]
        "Tab 3 " [text "Third panel"]
     ]
    ; box and draw (thanks Toomas)  ------------------
    separator 
    box 100x100 rate 10 draw [rotate 180 80x80 matrix [0 0 0 0 105 90] box -15x-15 15x15] 
    on-time [t: t + 1 
        face/draw/5/1: cosine t face/draw/5/2: negate sine t face/draw/5/3: sine t 
        face/draw/5/4: cosine t face/draw/5/6: face/draw/5/6 + 10 - (t % 21)
    ]
]     