Red[
    Author: "Ungaretti"
    Date: 01/Nov/2018
    Purpose: "Send commands do windows and show returned values"
    needs: view
]
Red []
funcGetComPorts: 
; Uses Windows' cmd  to obtain the COM ports available
	has[cmdOutput com-ports b c i] [                                           
	cmdOutput: ""	;this will hold the output from cmd as text   
	com-ports: []   ;this series will contain the COM ports
; now we send  the command "mode" to Windows system (cmd)
; we store the system's return in "cmdOutput"
	call/output "mode" cmdOutput 
; now we remove all "-", otherwise they are "glued" to COM text
	trim/with cmdOutput "-"
; now we split cmdOutput into a series	
	cmdOutput: split cmdOutput " " 
; now we do some editing to get the ports in a nice format
	foreach i cmdOutput [          
		b: copy/part i 3
		if b = "COM" [
			c: copy/part i 4
			append com-ports c
		]
	]
	return com-ports
]

probe funcGetComPorts