Red [
    Author: Toomas Vooglaid
    needs: view
]

draw-freq: 25   ;-- init
centre: 10x10
x-step: 1
y-step: 3

in-canvas: func [] [       ;-- for every tick
    canvas/rate: draw-freq   
    ;-- hit an edge?  And add a bit of randomness, for fun.
    if centre/x > 300 [x-step: -1 * x-step - random 0.2] 
    if centre/y > 300 [y-step: -1 * y-step - random 0.2]
    if centre/x < 0 [x-step: -1 * x-step]
    if centre/y < 0 [y-step: -1 * y-step]   
    incr: to-pair reduce [(3 * x-step) (3 * y-step)]  
    centre: centre + incr
    canvas/draw: reduce ['fill-pen blue 'circle centre 8]    
    ;-- use append in above line, if you want a ball trail
]

do-stop: func [] [ 
    canvas/rate: none     ;-- stop timer
]

do-start: func [] [
    canvas/rate: draw-freq   ;starts
]

view [
    stop-btn: button "stop" [do-stop]
    start-btn: button "start" [do-start]
    return

    ;-- rate set in do-block, below
    canvas: base 300x300 white 
    on-time [in-canvas]
    
    do [                         ;-- init 
        canvas/rate: draw-freq
        canvas/draw: copy []     ;-- for the first append
    ]    
]